# WinMac: The Ultimate Windows and macOS Hybrid

**WinMac** is a revolutionary modification that brings together the best of both Windows and macOS operating systems, offering users a unique and seamless computing experience.

## Dark

![winmac_dark_01](https://raw.githubusercontent.com/Asteski/WinMac/main/img/winmac_dark_01.png)

![winmac_dark_02](https://raw.githubusercontent.com/Asteski/WinMac/main/img/winmac_dark_02.png)

![winmac_dark_03](https://raw.githubusercontent.com/Asteski/WinMac/main/img/winmac_dark_03.png)

![winmac_dark_04](https://raw.githubusercontent.com/Asteski/WinMac/main/img/winmac_dark_04.png)

## Light

![winmac_light_01](https://raw.githubusercontent.com/Asteski/WinMac/main/img/winmac_light_01.jpg)

![winmac_light_02](https://raw.githubusercontent.com/Asteski/WinMac/main/img/winmac_light_02.jpg)

![winmac_light_03](https://raw.githubusercontent.com/Asteski/WinMac/main/img/winmac_light_03.png)

![winmac_light_04](https://raw.githubusercontent.com/Asteski/WinMac/main/img/winmac_light_04.png)


## Features

- **Spotlight-like quick launcher**

PowerToys brings a macOS Spotlight functionality to Windows with PowerToys Run. It allows users to quickly search for files, applications, and settings on your system. 

By pressing a customizable hotkey combination, a search bar appears, enabling users to type their query and quickly launch or access the desired item without navigating through menus or directories. Besides PowerToys Run, this utility allows for many OS customizations, like *FancyZones, Always On Top, Peek, File Explorer add-ons, Color Picker and Find My Mouse*, improving your workflow in many different ways.

- **Dock**

Winstep Nexus is a highly customizable and feature-rich dock application for Windows that can be used to achieve a macOS-like dock experience. It offers a wide range of customization options, including different themes, icons, and animations.

By integrating WinStep Nexus into your WinMac modification, you can provide users with a visually appealing and functional dock that resembles the macOS style. This will enhance the overall user experience and make the transition between Windows and macOS seamless.

- **Revamped and decluttered Start Menu**

Open-Shell is a collection of os customization utilities, that allows to bring a customizable Start Menu replacement for Windows, to completely replace traditional Start Menu with customized WinX menu, to resemble MacOS main menu. 

It's accessible from both left and right mouse click on Start menu orb, as well as Win key.

- **Enhanced Taskbar**

StartAllBack enhances the functionality of the Windows Taskbar by introducing features inspired by earlier versions of Windows, such as Windows 7 and Windows 10. It brings back familiar elements like colored title bars and customizable Start buttons. 

Additionally, StartAllBack offers options for customizing the appearance and behavior of the Taskbar to suit individual user preferences.

- **Enhanced Explorer**

StartAllBack extends its enhancements beyond the Taskbar to the Windows Explorer, providing users with a more streamlined and efficient file browsing experience, by bringing back older versions of Explorer from Windows 7 or Windows 10. 

Utility introduces features such as ribbons, tabs, customizable toolbar buttons, enhanced file previews, and improved navigation options. With StartAllBack and PowerToys, you can personalize your Explorer interface to better suit your workflow and access files and folders more efficiently.

Additionally, deployment script includes pinning User folder and Start Menu\Programs folder to Quick Access.

- **Stacks Context Menus**

Stahky allows to create shortcuts for taskbar, that show custom context menus which can include settings and control panel shortcuts, website shortcuts and any other files and folders.

- **Enhanced Terminal**

WinMac provides you with debloated prompt with addition of completion functions and most commonly used commands in macOS/Linux, like *vim, grep, touch, ditto, top, whatis, killall, ll, la, tree* with additional commands like *history, computerinfo, battery, backup, ntop, rcopy, brew* among ton of other functions! More details on Wiki page [Commands Cheat Sheet](https://github.com/Asteski/WinMac/wiki/Commands-Cheat-Sheet).

## Benefits

- **Unified Computing Experience:** WinMac provides a cohesive blend of Windows and macOS elements, ensuring a smooth and efficient workflow for all users.
- **Enhanced Productivity:** Take advantage of the versatility and compatibility of WinMac to maximize productivity across various tasks and applications.
- **Privacy and Security:** Rest assured knowing that your data is protected by the advanced security features as part of Windows 11 Defender Security services.

## Experience WinMac Today!

Discover the future of computing with WinMac, where the power of Windows meets the elegance of macOS in perfect harmony. Upgrade to WinMac and elevate your computing experience to new heights!

Please be informed that this is a beta version - you're deploying it at your own risk!!

## Recommendations

For the most reliable deployment process, I recommend to install latest version of [Powershell Core](https://github.com/PowerShell/PowerShell) and run *install.ps1* script from the script directory and run it as an Administrator. Everything else (except dock, which must be run separately in non-elevated pwsh session) will be deployed automatically for you (including Winget if not already installed).

## Planned features

- Modern OS theme,
- more Dock themes,
- more functions.

## Credits to

List of utilities and their creators, used with WinMac deployment script:

- [PowerToys](https://learn.microsoft.com/en-us/windows/powertoys/) by Microsoft
- [StartAllBack](https://www.startallback.com/) by Stanislav Zinukhov
- [Open-Shell](https://open-shell.github.io/Open-Shell-Menu/) by Ivo Beltchev
- [Everything](https://www.voidtools.com/) by David Carpenter
- [Nexus](https://www.winstep.net/nexus.asp) by Winstep
- [TopNotify](https://github.com/SamsidParty/TopNotify) by SamsidParty
- [Stahky](https://github.com/joedf/stahky) by joedf
- [PSTree](https://github.com/santisq/PSTree) by santisq
- [ntop](https://github.com/gsass1/NTop) by gsass1

Please support creators however you can for their wonderful work!

Keep in mind that StartAllBack is not a free software and requires license to run permanently. Free version will stop working after 100 days.

WinMac is not planned to be used for business/earning purposes. If you're not okay with me using your software by installing it (using Winget) with Powershell deployment script, please let me know!

Enjoy and support my work by giving feedback and contributing to the project!
